VTA MxNet tutorial broken


#1

I get this error when I run the code:

Downloading from url https://github.com/uwsaml/vta-distro/raw/master/bitstreams/sim/0.0.0/1x16x16_8bx8b_15_15_18_17_100MHz_7ns_v0_0_0.bit to /home/youn/.vta_cache/sim/1x16x16_8bx8b_15_15_18_17_100MHz_7ns_v0_0_0.bit
download failed due to <HTTPError 404: ‘Not Found’>, retrying, 2 attempts left
download failed due to <HTTPError 404: ‘Not Found’>, retrying, 1 attempt left
Traceback (most recent call last):
File “/home/youn/tvm/vta/python/vta/bitstream.py”, line 69, in download_bitstream
download(url, bit)
File “/home/youn/.local/lib/python3.6/site-packages/tvm-0.6.dev0-py3.6-linux-x86_64.egg/tvm/contrib/download.py”, line 116, in download
raise err
File “/home/youn/.local/lib/python3.6/site-packages/tvm-0.6.dev0-py3.6-linux-x86_64.egg/tvm/contrib/download.py”, line 102, in download
urllib2.urlretrieve(url, tempfile, reporthook=_download_progress)
File “/usr/lib/python3.6/urllib/request.py”, line 248, in urlretrieve
with contextlib.closing(urlopen(url, data)) as fp:
File “/usr/lib/python3.6/urllib/request.py”, line 223, in urlopen
return opener.open(url, data, timeout)
File “/usr/lib/python3.6/urllib/request.py”, line 532, in open
response = meth(req, response)
File “/usr/lib/python3.6/urllib/request.py”, line 642, in http_response
‘http’, request, response, code, msg, hdrs)
File “/usr/lib/python3.6/urllib/request.py”, line 564, in error
result = self._call_chain(*args)
File “/usr/lib/python3.6/urllib/request.py”, line 504, in _call_chain
result = func(*args)
File “/usr/lib/python3.6/urllib/request.py”, line 756, in http_error_302
return self.parent.open(new, timeout=req.timeout)
File “/usr/lib/python3.6/urllib/request.py”, line 532, in open
response = meth(req, response)
File “/usr/lib/python3.6/urllib/request.py”, line 642, in http_response
‘http’, request, response, code, msg, hdrs)
File “/usr/lib/python3.6/urllib/request.py”, line 570, in error
return self._call_chain(*args)
File “/usr/lib/python3.6/urllib/request.py”, line 504, in _call_chain
result = func(*args)
File “/usr/lib/python3.6/urllib/request.py”, line 650, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “resNet.py”, line 45, in
vta.program_fpga(remote, bitstream=None)
File “/home/youn/tvm/vta/python/vta/rpc_client.py”, line 52, in program_fpga
download_bitstream()
File “/home/youn/tvm/vta/python/vta/bitstream.py”, line 80, in download_bitstream
.format(url, BITSTREAM_URL))
RuntimeError: https://github.com/uwsaml/vta-distro/raw/master/bitstreams/sim/0.0.0/1x16x16_8bx8b_15_15_18_17_100MHz_7ns_v0_0_0.bit is not available. It appears that this configuration bistream has not been cached. Please compile your own bitstream (see hardware compilation guide to get Xilinx toolchains setup) and add it to your $VTA_CACHE_PATH. Alternatively edit your config.json back to its default settings. You can see the list of available bitstreams under https://github.com/uwsaml/vta-distro/raw/master/bitstreams/

seems to be an outdated url issue.


#2

change your target in vta_config.json to pynq and it should work